/**
 * XParticipationAuthorPerformer.java
 *
 * File generated from the medication::XParticipationAuthorPerformer uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XParticipationAuthorPerformer.
 *
 * 
 */

@XmlType(name = "XParticipationAuthorPerformer")
@XmlEnum
@XmlRootElement(name = "XParticipationAuthorPerformer")
public enum XParticipationAuthorPerformer {
	@XmlEnumValue("PRF")
	PRF("PRF"),
	@XmlEnumValue("AUT")
	AUT("AUT");
	
	private final String value;

    XParticipationAuthorPerformer(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XParticipationAuthorPerformer fromValue(String v) {
        for (XParticipationAuthorPerformer c: XParticipationAuthorPerformer.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}